Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01943 Sound Minor Always Jun 28, 2008, 10:07 Jul 24, 2015, 18:39
Tester LastNinja2 View Status Public Platform MAME (Official Binary)
Assigned To system11 Resolution Fixed OS
Status [?] Resolved Driver seta2.cpp
Version 0.125u5 Fixed in Version 0.164 Build Normal
Summary 01943: pzlbowl: Right heavy stereo balance.
Description All the music played during the emulation is only emitted from the right channel.

Update: Not all sound is from the right channel.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems pzlbowl
Attached Files
mp3 file icon 0.125u8.mp3 (1,071,360 bytes) Jun 30, 2008, 09:50
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.01414
Tafoid
Administrator
Jun 28, 2008, 15:03
My headphones seem to tell me music is coming from both sides for this game in multiple attempts - even checked back to mame 0.65 and it seems to be stereo. Let open for more confirmation one way or another.
User avatar
No.01436
Fujix
Administrator
Jun 29, 2008, 02:02
Not left but right for me.
And not all music channels are from the right, some are played from the left.
User avatar
No.01449
Fujix
Administrator
Jun 30, 2008, 09:57
According to the source code note (
http://mamedev.org/source/src/emu/sound/x1_010.c.html ):
27 1 7654 ---- PCM Volume 1 (L?)
   28 ---- 3210 PCM Volume 2 (R?)

PCM volumes are not clear completely, maybe this is related to the issue.

btw Ninja, I uploaded a mp3. If you hear left-heavy sounds, you wrongly connected the sound cables.
User avatar
No.11889
system11
Senior Tester
Jul 20, 2015, 19:59
https://github.com/mamedev/mame/pull/263

These PCBs do not have stereo pins and all audio is on the standard pin 10 pair.